QRcodly
APIPublic

Get public shared QR code

Publicly accessible endpoint to view a shared QR code.

GET
/api/v1/s/{shareToken}

Authorization

bearerAuth
AuthorizationBearer <token>

Enter your API key to access this API

In: header

Path Parameters

shareToken*string

Response Body

application/json

application/json

curl -X GET "https://qrcodly.theosirislabs.com/api/api/v1/api/v1/s/string"
{
  "name": "string",
  "content": {
    "type": "url",
    "data": {
      "url": "http://example.com",
      "isEditable": true
    }
  },
  "config": {
    "width": 0,
    "height": 0,
    "margin": 0,
    "image": "string",
    "imageOptions": {
      "hideBackgroundDots": true
    },
    "dotsOptions": {
      "type": "dots",
      "style": {
        "type": "hex",
        "value": "string"
      }
    },
    "cornersSquareOptions": {
      "type": "dot",
      "style": {
        "type": "hex",
        "value": "string"
      }
    },
    "cornersDotOptions": {
      "type": "dot",
      "style": {
        "type": "hex",
        "value": "string"
      }
    },
    "backgroundOptions": {
      "style": {
        "type": "hex",
        "value": "string"
      }
    }
  },
  "shareConfig": {
    "showName": true,
    "showDownloadButton": true
  },
  "previewImage": "string",
  "qrCodeData": "string"
}
{
  "message": "string",
  "code": 0
}